# Subscriptions ## Creates a new subscription. - [POST /api/subscriptions](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/subscriptions/paths/~1api~1subscriptions/post.md): Create a subscription for a set of event-types. To complete provisioning of the subscription you must do a GET request against the validationUrl sent to the Delivery.Url. Webhooks of the specified event-types will be delivered when provisioning has succeeded. ## Gets all subscriptions available. - [GET /api/subscriptions](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/subscriptions/paths/~1api~1subscriptions/get.md) ## Gets a subscription matching the id specified. - [GET /api/subscriptions/{subscriptionName}](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/subscriptions/getsubscription.md) ## Updates an existing subscription matching the id specified. - [PUT /api/subscriptions/{subscriptionName}](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/subscriptions/paths/~1api~1subscriptions~1%7Bsubscriptionname%7D/put.md): Updates a subscription for a set of event-types. To complete provisioning of the subscription you must do a GET request against the validationUrl sent to the Delivery.Url. Webhooks of the specified event-types will be delivered when provisioning has succeeded. ## Deletes an existing subscription matching the id specified. - [DELETE /api/subscriptions/{subscriptionName}](https://developer.aritma.com/apis/platform/events/openapi/events-openapi/subscriptions/paths/~1api~1subscriptions~1%7Bsubscriptionname%7D/delete.md)